Skip to main content
GET
/
alpha
/
transactions
/
cctp
/
status
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/transactions/cctp/status \
  --header 'x-api-key: <api-key>'
{
  "status": "pending",
  "burnTxHash": "<string>",
  "message": "<string>",
  "attestation": "<string>",
  "forwardTxHash": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

burnTxHash
string
required

Transaction hash of the burn transaction on source chain

Pattern: ^0x[a-fA-F0-9]*$
srcNetwork
enum<string>
required

Source chain where burn occurred

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793

Response

Default Response

status
enum<string>
required

Current status of the bridge transaction

Available options:
pending,
pending_confirmations,
attested,
complete,
failed
burnTxHash
string
required

Original burn transaction hash

Pattern: ^0x[a-fA-F0-9]*$
message
string

Message bytes for claim (available when attested)

Pattern: ^0x[a-fA-F0-9]*$
attestation
string

Attestation bytes for claim (available when attested)

Pattern: ^0x[a-fA-F0-9]*$
forwardTxHash
string

Relay transaction hash (for forwarding mode)

Pattern: ^0x[a-fA-F0-9]*$